: Get events for a specific date

API: dayinhistory.dev:day-in-history-api
Endpoint: /events/{month}/{day}/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 742ms

Description

Returns historical events for a specific month/day. This is the trailing-slash variant, returning the same data as the non-trailing-slash version. Allows querying specific dates using named months.

From spec: Returns historical events that occurred on the specified month and day

Usage Tips

- Same data as /events/{month}/{day} without trailing slash - Month names are lowercase (january, july, december, etc.) - Supports pagination with ?page=N

Parameters (3)

day (integer, path, required)

Day of the month (1-31)

Constraints: {'minimum': 1, 'maximum': 31}

month (string, path, required)

Month name (lowercase, e.g., january, february)

Constraints: {'enum': ['january', 'february', 'march', 'april', 'may', 'june', 'july', 'august', 'september', 'october', 'november', 'december']}

page (integer, query, optional, default: 1)

Page number for pagination

Examples (1)

Get events for a date openapi-spec

Fetch historical events for March 13

curl 'https://api.dayinhistory.dev/v1/events/march/13/'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/events/march/13/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("events/{month}/{day}/")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/events/march/13/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:18:19.479229 200 742ms
2026-04-16 01:00:11.027809 200 734ms
2026-04-15 01:00:25.704227 200 725ms
2026-04-14 03:38:03.178310 200 688ms
2026-04-12 16:09:17.082541 200 688ms
2026-04-10 04:05:05.804779 ERR
2026-04-09 01:09:46.964382 200 585ms
2026-04-08 07:37:21.558727 200 713ms
2026-04-07 00:48:17.557339 200 669ms
2026-04-06 06:17:08.924588 200 675ms
2026-04-05 02:46:07.378596 200 708ms
2026-04-04 03:04:38.009925 200 716ms
2026-04-03 12:49:42.554500 200 655ms
2026-03-30 02:32:48.979497 200 574ms
2026-03-29 12:47:20.779055 200 625ms
2026-03-23 10:33:32.598436 200 622ms